[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.Offset

Offset of the field's value in the dataset buffer

## Declaration

Source position: db.pas line 433

`public property TField.Offset : Word read FOffset;`

## Description

Offset is the location of the field's contents in the dataset memory buffer. It is read-only and initialized by the dataset when it is opened.

## See also

TField.FieldNo |  | Number of the field in the record
TField.Index |  | Index of the field in the list of fields
TField.Datasize |  | Size of the field's data